{====================================================================}
{ TOxygenWndTransparency Component Demo, v1.0  2000 Oxygen Software }
{--------------------------------------------------------------------}
{     NB! This component works only under Microsoft Windows 2000     }
{--------------------------------------------------------------------}
{          Written by Oleg Fyodorov, ofyodorov@mtu-net.ru            }
{                    delphi@oxygensoftware.com                       }
{                  http://www.oxygensoftware.com                     }
{====================================================================}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ComCtrls, O2WndTransp;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    TrackBar1: TTrackBar;
    TranspFactorLabel: TLabel;
    CloseButton: TButton;
    OxygenWndTransparency1: TOxygenWndTransparency;
    procedure FormCreate(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure CloseButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormActivate(Sender: TObject);
    procedure OxygenWndTransparency1ChangeTransparencyFactor(Sender: TObject);
  private
    { Private declarations }
    FFirstTime : Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FFirstTime := True;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  OxygenWndTransparency1.TransparencyFactor := TrackBar1.Position;
  TranspFactorLabel.Caption := IntToStr(OxygenWndTransparency1.TransparencyFactor);
end;

procedure TForm1.CloseButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  OxygenWndTransparency1.Hide(10);
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  if FFirstTime then begin
    OxygenWndTransparency1.Show(10);
    FFirstTime := False;
  end;
end;

procedure TForm1.OxygenWndTransparency1ChangeTransparencyFactor(Sender: TObject);
begin
  TrackBar1.Position := OxygenWndTransparency1.TransparencyFactor;
  TranspFactorLabel.Caption := IntToStr(OxygenWndTransparency1.TransparencyFactor);
  Update;
end;

end.
